Subject: Re: (radius) NAS-Port-Id and Framed-Pool

From: Marc De Vries <[email-masked]>
Date: Mon, 03 May 1999 10:47:48 +0200

> > 5.18.  Framed-Pool
> >
> >    Description
> >
> >       This Attribute contains the name of an assigned address pool that
> >       SHOULD be used to assign an address for the user.  If a NAS does
> >       not support multiple address pools, the NAS should ignore this
> >       Attribute.  Address pools are usually used for IP addresses, but
> >       can be used for other protocols if the NAS supports pools for
> >       those protocols.
> 
> We need to more clearly define the behavior if named pools are supported
> on the NAS, but this particular pool has not been configured.  We also
> need to specify what should happen if the specified pool is exhausted.
> 
> I recommend something like, "If the particular pool requested is not
> configured on the NAS, the NAS SHOULD ignore this Attribute.  If the

First, ignoring the pool attribute may result in the user getting any IP
address he/she wants.
Second, at least three NAS vendors already support a pool attribute and
when they receive an unknown pool name, they attempt to download an
updated pool configuration from a central server (hoping the pool with
that particular name will be in there).

So, IMO, the attribute should not be ignored, and the resulting action
is implementation dependent.

Regards,

Marc.
-
To unsubscribe, email [email-masked]' with
'unsubscribe ietf-radius' in the body of the message.